SQLITE3_CANCEL_AUTO_EXTENSION(3) | Library Functions Manual | SQLITE3_CANCEL_AUTO_EXTENSION(3)

# NAME

`sqlite3_cancel_auto_extension` — cancel automatic extension loading

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_cancel_auto_extension`(void(*xEntryPoint)(void));

# DESCRIPTION

The sqlite3_cancel_auto_extension(X) interface unregisters the initialization routine X that was registered using a prior call to sqlite3_auto_extension(X). The sqlite3_cancel_auto_extension(X) routine returns 1 if initialization routine X was successfully unregistered and it returns 0 if X was not on the list of initialization routines.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 7245.

    SQLITE_API int sqlite3_cancel_auto_extension(void(*xEntryPoint)(void));

January 24, 2024 | NetBSD 11.0